# Orthogonal and Unitary matrices

Both [`OrthogonalMatrices`](@ref) and [`UnitaryMatrices`](@ref) are quite similar, as are [`Rotations`](@ref), as well as unitary matrices with determinant equal to one. So these share a {common implementation}(@ref generalunitarymatrices)

## Orthogonal Matrices

```@autodocs
Modules = [Manifolds]
Pages = ["manifolds/Orthogonal.jl"]
Order = [:constant, :type, :function]
```

## Unitary Matrices

```@autodocs
Modules = [Manifolds]
Pages = ["manifolds/Unitary.jl"]
Order = [:constant, :type, :function]
```


## [Common functions](@id generalunitarymatrices)

```@autodocs
Modules = [Manifolds]
Pages = ["manifolds/GeneralUnitaryMatrices.jl"]
Order = [:constant, :type, :function]
```
